/* =========================================
   GLOBAL PAGE LOADER
========================================= */

.page-loader{

  position:fixed;

  inset:0;

  z-index:99999;

  display:flex;

  justify-content:center;

  align-items:center;

  background:
    linear-gradient(
      135deg,
      #071426,
      #10233f
    );

  transition:
    opacity 0.35s ease,
    visibility 0.35s ease;

}


.page-loader.hidden{

  opacity:0;

  visibility:hidden;

}


.loader-content{

  text-align:center;

  padding:20px;

}


.loader-spinner{

  width:78px;

  height:78px;

  border-radius:50%;

  border:
    5px solid rgba(255,255,255,0.08);

  border-top:
    5px solid #7dd3fc;

  animation:
    loaderSpin 0.9s linear infinite;

  margin:auto;

  box-shadow:
    0 0 35px rgba(125,211,252,0.22);

}


.loader-content h2{

  margin-top:26px;

  font-size:2rem;

}


.loader-content p{

  margin-top:12px;

  color:
    rgba(255,255,255,0.7);

  line-height:1.6;

}


@keyframes loaderSpin{

  to{

    transform:rotate(360deg);

  }

}
